| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
ROM based class HID
ROM stack support

## Detailed Description

## Functions
uint32_t | CALLBACK_UsbdHid_Register_InterfaceDescriptor (void)
| Call back function registers interface descriptor.
uint32_t | CALLBACK_UsbdHid_Register_ReportDescriptor (uint8_t **dest)
| Call back function registers report descriptor.
uint32_t | CALLBACK_UsbdHid_Register_ReportInBuffer (uint8_t **dest)
| Call back function registers report In buffer.
void | CALLBACK_UsbdHid_SetReport (uint8_t **reportoutbuffer, uint32_t reportoutsize)
| Call back function set report.
void | CALLBACK_UsbdHid_SetReportChange (bool newstate)
| Call back function set report change.
bool | CALLBACK_UsbdHid_IsReportChanged (void)
| Determine if report has been changed.

## Function Documentation

bool CALLBACK_UsbdHid_IsReportChanged | ( | void |  | ) |

Determine if report has been changed.

Returns
  Boolean

uint32_t CALLBACK_UsbdHid_Register_InterfaceDescriptor | ( | void |  | ) |

Call back function registers interface descriptor.

Returns
  Address of interface descriptor array

uint32_t CALLBACK_UsbdHid_Register_ReportDescriptor | ( | uint8_t ** | dest | ) |

Call back function registers report descriptor.

Parameters

  dest | : Pointer to destination

Returns
  Length report

uint32_t CALLBACK_UsbdHid_Register_ReportInBuffer | ( | uint8_t ** | dest | ) |

Call back function registers report In buffer.

Parameters

  dest | : Pointer to destination

Returns
  Size of In buffer

void CALLBACK_UsbdHid_SetReport | ( | uint8_t ** | reportoutbuffer,
|  | uint32_t | reportoutsize
| ) |  |

Call back function set report.

Parameters

  reportoutbuffer | : Pointer to out buffer
  reportoutsize | : Size of out report

Returns
  Nothing

void CALLBACK_UsbdHid_SetReportChange | ( | bool | newstate | ) |

Call back function set report change.

Parameters

  newstate | : next state

Returns
  Nothing